# 小熊公共模块

小熊Flutter 公共模块

## /lib/utils
### 一、/store_utils.dart 本地存储相关
1、初始化   
```dart
StoreUtils.getInstance().init().then(v){}
```

2、根据key获取相应存储的数据  
```dart
dynamic data = StoreUtils.getInstance().getForKey(key:'',defaultValue:null);
```

3、根据key设置对应的数据  
```dart
dynamic data = StoreUtils.getInstance().setKV(key:'',value:{});
```

4、根据key删除对应的数据   
```dart
StoreUtils.getInstance().delForkey(key:'');
```

### 二、/navigate_utils.dart 导航相关

1、回到首页
```dart
NavigateUtils.popRoot(rootPath:'主页路径');
```

2、关闭页面时携带的数据
```dart
NavigateUtils.pop(arguments:{});
```

3、打开新的页面
```dart
NavigateUtils.push(path:'新页面的路径',isNative:'是否打开新的容器',arguments:{'key':'打开页面时携带的数据'});
```

### 三、/file_cache_utils.dart 文件缓存和下载有关

1、文件下载
```dart
FileCacheUtils.getInstance().downloadFile(filePath:'待下载的文件路径').then((value){})
```

### 引用说明
```
common_module:
    git:
        url: 'git@git.xiaomanxiong.com:flutter-plugin/common_module.git'
        ref: 'null-safety'
```

