import 'package:flutter/material.dart';
import './base_page_view_item_state.dart';
import 'package:common_module/utils/umeng_utils.dart';

/// 友盟埋点Pageview item基础类
abstract class BaseUmengPageViewItemState<T extends StatefulWidget>
    extends BasePageViewItemState<T>{
  String getPageViewName();
  Map<String, String> getPageViewArgs();
  @override
  void onResume() {
    super.onResume();
    UmengUtils.onPageStart(getPageViewName(), getPageViewArgs());
  }

  @override
  void onPause() {
    super.onPause();
    UmengUtils.onPageEnd(getPageViewName(), getPageViewArgs());
  }
}
