import 'package:amaps_location/location.dart';
import 'package:common_module/utils/location_permission_utils.dart';
export 'package:amaps_location/src/location_entity.dart';
import 'package:life_repository/life_repository.dart';

const String key = '1a7c708f0a1f5164dfc4e2e0aae34451';

class AmapUtils {
  static AmapUtils? _instance;

  static AmapUtils? getInstance() {
    if (_instance == null) {
      _instance = new AmapUtils();
    }
    return _instance;
  }

  ///
  /// 获取当前的定位信息
  ///
  Future<LocationEntity> getLocation() {
    return AmapsLocation.create()!.getLocation(apiKey: key);
  }

  ///
  /// GPS 是否打开
  ///
  Future<bool?> get isOpenGPS async {
    return AmapsLocation.create()!.isOpenGPS();
  }

  ///
  /// 打开GPS
  ///
  Future<bool?> enableGPS() async {
    return AmapsLocation.create()!.enableGPS();
  }

  /// 判断权限
  Future<bool> hasPermission() async {
    return LocationPermissionUtils.getInstance()!.hasPermission();
  }

  /// 请求权限
  Future<bool> reqPermission() async {
    return LocationPermissionUtils.getInstance()!.reqPermission();
  }

  // 地址转gps
  Future<String?> addressToGps(String address, [String? city]) {
    return AMapRepository.get()
        .addressToGps(key: key, address: address, city: city);
  }
}
