import 'package:common_module/widget/ds_frame.dart';
import 'package:flutter/material.dart';
import 'package:flutter_boost/boost_navigator.dart';

typedef DSListener = void Function(String? id, String? pageName,Map<String,dynamic>? extras);

class DSWidgetListener extends StatelessWidget {
  final Widget child;                     //包裹的布局
  final String? id;                        //按键的id值,用于区分点击的按键
  final dynamic extras;                   //附加参数

  const DSWidgetListener({Key? key, required this.child, this.id,this.extras = const {}}) : super(key: key);
  
  @override
  Widget build(BuildContext context) {
    return Listener(
      child: child,
      onPointerDown: (e) {
        PageInfo? pageInfo = BoostNavigator.instance.getTopPageInfo();
        if (DSFrame.create.listener != null) {
          DSFrame.create.listener!(id,pageInfo?.pageName??'',extras);
        }
      },
      onPointerCancel:(e){
        //print("监听 onPointerCancel");
      },
      onPointerMove:(e){
        //print("监听 onPointerMove");
      },
      onPointerSignal:(e){
        //print("监听 onPointerSignal");
      },
      onPointerUp:(e){
        //print("监听 onPointerUp");
      },
    );
  }
}