import 'package:flutter/cupertino.dart';

// ignore: must_be_immutable
class TapWidget extends StatelessWidget {
  final Widget child;
  final GestureTapCallback? onTap;
  final Function? onLongPress;
  final HitTestBehavior behavior;
  int lastTapTime = 0;

  TapWidget(
      {required this.child,
      this.onTap,
      Key? key,
      this.behavior = HitTestBehavior.translucent,
      this.onLongPress})
      : super(key: key) {
    assert(this.child != null);
  }

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      behavior: behavior,
      child: child,
      onLongPress: onLongPress as void Function()?,
      onTap: () {
        if (this.onTap != null) {
          int now = DateTime.now().millisecondsSinceEpoch;
          if (now - lastTapTime < 400) {
            return;
          }
          lastTapTime = now;

          this.onTap!();
        }
      },
    );
  }
}
